backfit 0.0.2+8 copy "backfit: ^0.0.2+8" to clipboard
backfit: ^0.0.2+8 copied to clipboard

Retrofit inspired HTTP Client generator for Dart

[0.0.2+8] 15/06/2022 #

  • Added support for Header param.

[0.0.2+7] 07/04/2022 #

  • Fixed PartField annotation.

[0.0.2+6] 29/03/2022 #

  • Updated to use the latest analyzer

[0.0.2+5] 09/12/2021 #

  • Hotfix for Multipart Requests in Pretty Logger

[0.0.2+4] 02/12/2021 #

  • Added request logging in Pretty Logger

[0.0.2+3] 17/09/2021 #

  • Multipart headers support.
  • Fix missing endpoint in multipart request.

[0.0.2+2] 16/09/2021 #

  • Added support for deserialization of Multipart request responses.
  • Added PrettyLogger inspired by pretty_dio_logger

[0.0.2-a] 14/09/2021 #

  • Added preliminary support for Multipart requests.

[0.0.2] 30/08/2021 #

  • Add compatibility with Flutter Web.
  • *Breaking Change* - Use ".backfit.dart" for part files instead of ".g.dart"

[0.0.1] #

  • Initial Release
4
likes
90
pub points
0%
popularity

Publisher

unverified uploader

Retrofit inspired HTTP Client generator for Dart

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

analyzer, built_collection, http, http_parser, meta

More

Packages that depend on backfit